﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8
@EndOfDesignText@
Sub Class_Globals
	Private xui As XUI
	Public mBase As B4XView
	Private xDialog As B4XDialog
	Private Label1 As B4XView
	Private Label2 As B4XView
	Public mVisible As Boolean
	Private mDuration As Int = 600
	Private mPause As Int = 500
	Private lblText As B4XView
End Sub

Public Sub Initialize
	mBase = xui.CreatePanel("mBase")
	mBase.SetLayoutAnimated(0, 0, 0, 300dip, 150dip)
	mBase.LoadLayout("filedownloadindeterminate_template")
	
End Sub


Public Sub GetPanel (Dialog As B4XDialog) As B4XView
	Return mBase
End Sub

'Set the duration of the animation
Public Sub setDuration(Duration As Int)
	mDuration = Duration
End Sub

'Set the pause between animations
Public Sub setPause(Pause As Int)
	mPause = Pause
End Sub

'Set the label text, a filename for this template
Public Sub setText(Text As String)
	lblText.Text = Text
End Sub

Private Sub Show (Dialog As B4XDialog)
	xDialog = Dialog
	xDialog.PutAtTop = xui.IsB4A Or xui.IsB4i
	xDialog.BackgroundColor = mBase.Color
	
	mVisible = True
	
	Dim Left As Double = Label1.Left
	Dim Top As Double = Label1.Top
	Dim Width As Double = Label1.Width
	Dim Height As Double = Label1.Height
	
	
	Do While mVisible
		Label1.SetRotationAnimated(mDuration,45)
		Label1.SetLayoutAnimated(mDuration,Label2.Left,Label2.Top,20dip,20dip)
		Sleep(mDuration)
		Label1.Visible = False
		Sleep(mPause)
		Label1.SetLayoutAnimated(0,Left,Top,Width,Height)
		Label1.SetRotationAnimated(0,0)
		Label1.Visible = True
		Sleep(mPause)
	Loop
	
End Sub

Private Sub DialogClosed(Result As Int) 'ignore
	mVisible = False
End Sub